%bcond_with bootstrap

Summary:        Command Line Interface Library for Java
Name:           apache-commons-cli
Version:        1.5.0
Release:        8%{?dist}
License:        ASL 2.0
URL:            http://commons.apache.org/cli/
Source0:        http://www.apache.org/dist/commons/cli/source/commons-cli-%{version}-src.tar.gz

BuildRequires:  maven-local
%if %{with bootstrap}
BuildRequires:  javapackages-bootstrap
%else
BuildRequires:  mvn(junit:junit)
BuildRequires:  mvn(org.apache.commons:commons-parent:pom:)
%endif

BuildArch:      noarch

%description
The CLI library provides a simple and easy to use API for working with the
command line arguments and options.

%{?javadoc_package}

%prep
%autosetup -n commons-cli-%{version}-src

%mvn_alias : org.apache.commons:commons-cli
%mvn_file : commons-cli %{name}

%build
%mvn_build

%install
%mvn_install

%files -f .mfiles
%license LICENSE.txt NOTICE.txt
%doc README.md RELEASE-NOTES.txt

%changelog
* Thu Sep 26 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.5.0-8
- Rebuilt for clarifying the packages requirement in BaseOS and AppStream

* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.5.0-7
- Rebuilt for loongarch release

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.5.0-6
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.5.0-5
- Rebuilt for OpenCloudOS Stream 23.05

* Thu Apr 20 2023 Xiaojie Chen <jackxjchen@tencent.com> - 1.5.0-4
- Disable bootstrap

* Wed Apr 12 2023 Xiaojie Chen <jackxjchen@tencent.com> - 1.5.0-3
- Rewritten spec for maven 3.8.6

* Tue Dec 20 2022 Zhao Zhen <jeremiazhao@tencent.com> - 1.5.0-2
- fix changelog reversion error

* Tue Dec 20 2022 Zhao Zhen <jeremiazhao@tencent.com> - 1.5.0-1
- initial
